List Jobs
curl --request GET \
--url https://cloud.cdata.com/api/job/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.cdata.com/api/job/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.cdata.com/api/job/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"jobType": "Caching",
"id": "string",
"name": "string",
"enabled": true,
"created": "2024-01-01T00:00:00Z",
"lastModified": "2024-01-01T00:00:00Z",
"nextRunTime": "2024-01-01T00:00:00Z",
"intervalUnit": "Hour",
"intervalValue": 1,
"logVerbosity": 1,
"lastRun": {
"dateTime": "0001-01-01T00:00:00Z",
"duration": 63894847975,
"status": "JOB_QUEUED",
"rowsAffected": 0,
"nextRunTime": "0001-01-01T00:00:00Z"
},
"params": {
"timeCheckColumn": "",
"autoTruncateStrings": "false",
"sourceConnection": "f6f3cfe6-72e2-4edb-914f-4409c01c1418",
"sourceConnectionName": "MailChimp1",
"sourceName": "MailChimp",
"sourceSchema": "MailChimp",
"sourceTable": "Conversations"
}
}
]
}Job API
List Jobs
Administrators, impersonating a service user, can request a list of jobs for a sub-account.
GET
/
job
/
list
List Jobs
Authorizations
JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication for more information on creating a token.
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I